Skip to content

/fal-ai/kling-video/v2.5-turbo/pro/image-to-video

POST https://www.kkiai.com/fal-ai/kling-video/v2.5-turbo/pro/image-to-video

Official documentation: https://fal.ai/models/fal-ai/kling-video/v2.5-turbo/pro/image-to-video

Request Parameters

Authorization

Add the Authorization parameter to the Header, with the value being the Token concatenated after Bearer

Example: Authorization: Bearer ********************

Body Parameters (application/json)

ParameterTypeRequiredDescription
promptstringRequired
image_urlstringRequiredImage URL, accepted file types: jpg, jpeg, png, webp, gif, avif
durationstringOptionalGenerated video duration, enum values: 5, 10
negative_promptstringOptional
cfg_scalenumberOptional

Request Example

json
{
  "prompt": "A stark starting line divides two powerful cars, engines revving for the challenge ahead. They surge forward in the heat of competition, a blur of speed and chrome. The finish line looms as they vie for victory.",
  "image_url": "https://v3.fal.media/files/panda/HnY2yf-BbzlrVQxR-qP6m_9912d0932988453aadf3912fc1901f52.jpg",
  "duration": "5",
  "negative_prompt": "blur, distort, and low quality",
  "cfg_scale": 0.5
}

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/fal-ai/kling-video/v2.5-turbo/pro/image-to-video' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "prompt": "A stark starting line divides two powerful cars, engines revving for the challenge ahead. They surge forward in the heat of competition, a blur of speed and chrome. The finish line looms as they vie for victory.",
  "image_url": "https://v3.fal.media/files/panda/HnY2yf-BbzlrVQxR-qP6m_9912d0932988453aadf3912fc1901f52.jpg",
  "duration": "5",
  "negative_prompt": "blur, distort, and low quality",
  "cfg_scale": 0.5
}'

Response

🟢 200 Success

Response Example

json
{
    "status": "IN_QUEUE",
    "request_id": "727028ec-aa98-4073-9bcd-0acb386abcfc",
    "response_url": "https://queue.fal.run/fal-ai/kling-video/requests/727028ec-aa98-4073-9bcd-0acb386abcfc",
    "status_url": "https://queue.fal.run/fal-ai/kling-video/requests/727028ec-aa98-4073-9bcd-0acb386abcfc/status",
    "cancel_url": "https://queue.fal.run/fal-ai/kling-video/requests/727028ec-aa98-4073-9bcd-0acb386abcfc/cancel",
    "logs": null,
    "metrics": {},
    "queue_position": 0
}